﻿@model Detech_Conference.Class.Details

<div id="information" class="panel panel-container">
    <div class="row">
        <div class="col-xs-6 col-md-4 col-lg-4 no-padding">
            <div class="panel panel-teal panel-widget border-right">
                <div class="row no-padding">
                    <div class="text-muted">Product Name</div>
                    <h4 class="timeline-title">@Model.ProductName</h4>

                </div>
            </div>
        </div>
        <div class="col-xs-6 col-md-4 col-lg-4 no-padding">
            <div class="panel panel-teal panel-widget border-right">
                <div class="row no-padding">
                    <div class="text-muted">Status</div>
                    @{
                        if (Model.MachineState == "Stop")
                        {
                            <h4 class="timeline-title" style="text-transform:uppercase;"><font size="4" style="font-weight:bold"><mark style="background-color:red; padding-left: 10px; padding-right: 10px;">@Model.MachineState</mark></font></h4>
                        }
                        if (Model.MachineState == "Start")
                        {
                            <h4 class="timeline-title" style="text-transform:uppercase;"><font size="4" style="font-weight:bold"><mark style="background-color:#009933; padding-left: 10px; padding-right: 10px;">@Model.MachineState</mark></font></h4>
                        }
                        if (Model.MachineState == "Alarm")
                        {
                            <h4 class="timeline-title" style="text-transform:uppercase;"><font size="4" style="font-weight:bold"><mark style="background-color:#b3b3b3; padding-left: 10px; padding-right: 10px;">@Model.MachineState</mark></font></h4>
                        }
                        if (Model.MachineState == "Maintenance")
                        {
                            <h4 class="timeline-title" style="text-transform:uppercase;"><font size="4" style="font-weight:bold"><mark style="background-color:#ff9900; padding-left: 10px; padding-right: 10px;">@Model.MachineState</mark></font></h4>
                        }
                    }


                </div>
            </div>
        </div>
        <div class="col-xs-6 col-md-4 col-lg-4 no-padding">
            <div class="panel panel-teal panel-widget border-right">
                <div class="row no-padding">
                    <div class="text-muted">Operation Since</div>
                    <h4 class="timeline-title">@Model.MachineStateTime </h4>
                </div>
            </div>
        </div>
    </div>
</div>